package com.leromro.core.service;

import com.leromro.core.domain.VolunteerInfo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 志愿者信息表 服务类
 * </p>
 *
 * @author lr
 * @since 2025-04-07
 */
public interface IVolunteerInfoService extends IService<VolunteerInfo> {

    void newVolunteerInfoByuserId(VolunteerInfo volunteerInfo, Long userId,Long serviceCategory);

    VolunteerInfo selectByUserID(Long serviceCategory, Long userId);

    List<VolunteerInfo> selectVolunteerInfoList(VolunteerInfo volunteerInfo);

    VolunteerInfo selectLVolunteerInfoByVolunteerId(Long volunteerId);
}
